:root {
  --dibs-layout--col-ratio: 50%;
  --dibs-layout--video-ratio: 56.25%; /* 16:9 Aspect Ratio (divide 9 by 16 = 0.5625) */
  --dibs-layout-aside-content-width: 85%;
  --dibs-layout-aside-content-width--max: 60em;
  --dibs-layout-main-content-width: 85%;
  --dibs-layout-main-content-width--max: 50em;

  --dibs-colors--red: #d92e30;
  --dibs-colors--red--lighter: #ce2022;
  --dibs-colors--pink: #ec9798;
  --dibs-colors--grey--light: #f6f8fb;
  --dibs-colors--grey: #c6d3e6;
  --dibs-colors--black: #000;
  --dibs-colors--white: #fff;

  --dibs-colors--accent: var(--dibs-colors--red);
  --dibs-colors--accent--light: var(--dibs-colors--red--lighter);

  --dibs-font--main-color: var(--dibs-colors--black);
  --dibs-font--aside-color: var(--dibs-colors--white);
  --dibs-colors--accent--alternate: var(--dibs-colors--grey--light);
  --dibs-font--aside-color--alternate: var(--dibs-colors--black);

  --dibs-shadow--light: 0px 0.25em 0.25em rgba(0, 0, 0, 0.1);
  --dibs-shadow--medium: 0px 0.1em 0.1em rgba(0, 0, 0, 0.25);
  --dibs-shadow--strong: 0 0.5em 1em 0 rgba(0, 0, 0, 0.5);

  --dibs-margins-spacing: 1.56em;
}

/*2b3e54*/
* {
  box-sizing: border-box;
}

dl,
dt,
dd {
  margin: 0;
}

.dibs--utils--push-up {
  margin-top: calc(var(--dibs-margins-spacing) * 2);
}
.dibs--utils--push-up.dibs--utils--push-up--medium {
  margin-top: calc(var(--dibs-margins-spacing) * 1.5);
}

body {
  margin: 0;
  padding: 0;
  font: 400 16px 'Inter', sans-serif;
  color: var(--dibs-font--main-color);
  text-justify: distribute;
}

body[data-modal-is-open='true'] {
  overflow: hidden;
}

h1 {
  margin-top: 0;
  font-size: 2.5em;
  font-weight: 700;
  line-height: 1.2em;
  letter-spacing: -0.0325em;
}

#index h1 {
  margin-bottom: 0;
}

h2 {
  margin-top: 0;
  font-size: 1.875em;
  font-weight: 700;
  line-height: 1.2em;
  letter-spacing: -0.033333em;
  vertical-align: text-bottom;
}

h2 > * {
  display: inline;
  vertical-align: inherit;
}

a {
  color: var(--dibs-font--main-color);
  font-weight: 700;
  text-decoration: underline;
  cursor: pointer;
}

.dibs-wrapper {
  display: grid;
  grid-template: 'nav' 'aside' 'main';
  grid-template-rows: auto auto 1fr !important;
  min-height: 100vh;
  grid-template-columns: 1fr;
}

.dibs-wrapper[data-layout='one-column'] {
  grid-template-rows: auto auto 1fr !important;
}

.dibs--navbar--logo {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-left: 0.5em;
}

.dibs--navbar--synthesis {
  background: var(--dibs-colors--accent);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 1em 1em;
  color: var(--dibs-font--aside-color);
  font-weight: 700;
  font-size: 0.9375em;
  cursor: pointer;
  position: relative;
}

.dibs--navbar--user {
  padding: 0.625em;
  margin: 0 0em;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}
.dibs--navbar {
  grid-area: nav;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  z-index: 1;
}

.dibs--aside {
  background-color: var(--dibs-colors--accent);
  border-bottom: 1px solid var(--dibs-colors--grey--light);
}

.dibs--aside,
.dibs--aside a,
.dibs--aside svg {
  grid-area: aside;
  color: var(--dibs-font--aside-color);
  stroke: var(--dibs-font--aside-color);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

[data-alternate] .dibs--aside {
  background-color: var(--dibs-colors--accent--alternate);
}

[data-alternate] .dibs--aside,
[data-alternate] .dibs--aside a,
[data-alternate] .dibs--aside svg {
  color: var(--dibs-font--aside-color--alternate);
  stroke: var(--dibs-font--aside-color--alternate);
}

.dibs--main {
  grid-area: main;
  padding-bottom: 2em;
  overflow-x: hidden;
}

.dibs--navbar--links {
  display: flex;
  flex-direction: row;
}

.dibs--navbar--synthesis--text {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1em;
}

.dibs--navbar--synthesis--text svg {
  width: 1.2em;
  height: 1.6em;
}

.dibs--navbar--synthesis--picto {
  position: absolute;
  bottom: 0em;
  width: 1.125em;
  height: 0.5625em;
  display: none;
  z-index: 2;
}

.dibs--navbar--synthesis:hover .dibs--navbar--synthesis--picto,
.dibs--navbar--synthesis[data-always-on='true']
  .dibs--navbar--synthesis--picto {
  display: block;
}

.dibs--navbar--synthesis--picto svg {
  fill: var(--dibs-colors--accent);
}

.dibs--navbar--user--initial,
.dibs--navbar--user--avatar {
  width: 2.5em;
  height: 2.5em;
  background-color: var(--dibs-colors--grey);
  border-radius: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: center;
  text-align: center;
  position: relative;
  cursor: pointer;
  color: var(--dibs-font--main-color);
  font-weight: 700;
}

.dibs--navbar--user--avatar {
  position: absolute;
  z-index: 1;
}

.dibs--navbar--user--menu--wrapper {
  height: 0;
  position: absolute;
  bottom: 0;
  right: -1em;
}

.dibs--navbar--user--menu {
  display: none;
  background-color: #fff;
  box-shadow: var(--dibs-shadow--strong);
  z-index: 1;
}

.dibs--navbar--user:hover .dibs--navbar--user--menu {
  display: block;
}

.dibs--navbar--user--menu--item {
  padding: 0.8em 1em;
  text-decoration: none;
  display: block;
  border: 0.17em solid var(--dibs-font--aside-color);
}

.dibs--navbar--user--menu--item:hover {
  background-color: var(--dibs-colors--grey--light);
}

.dibs--navbar--user:hover .dibs--navbar--user--avatar {
  visibility: hidden;
}

[data-layout='hidden'] .dibs--navbar,
[data-layout='hidden'] .dibs--aside,
[data-layout='hidden'] .dibs--main {
  display: none;
}

.dibs--aside--video {
  width: 100%;
  position: relative;
  padding-top: var(--dibs-layout--video-ratio);
  margin-top: 4.625em;
}

.dibs--aside--video[data-loaded='true']::before {
  position: absolute;
  background: linear-gradient(180deg, #000000 0%, rgba(0, 0, 0, 0) 100%);
  height: 3em;
  width: 100%;
  content: '';
  top: 0;
  z-index: 1;
}

.dibs--aside--video > * {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
}

.dibs--aside--content {
  padding-top: var(--dibs-margins-spacing);
  width: var(--dibs-layout-aside-content-width);
  margin: 0 auto;
  max-width: var(--dibs-layout-main-content-width--max);
}

[data-alternate] .dibs--aside--content {
  height: 100%;
  display: flex;
  flex-direction: column;
}

.dibs--aside--content--header {
  padding-bottom: var(--dibs-margins-spacing);
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: row;
}

.dibs--aside--title {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
}

.dibs--aside--content--back {
  margin-bottom: -0.25em;
  cursor: pointer;
}

.dibs--aside--content--back > * {
  height: 1.25em;
}

.dibs--main--content {
  padding-top: calc(var(--dibs-margins-spacing) * 2.5);
  max-width: var(--dibs-layout-main-content-width--max);
  width: var(--dibs-layout-main-content-width);
  margin: 0 auto;
}

#index .dibs--main--content {
  text-align: center;
}

.dibs--main--content p {
  vertical-align: text-bottom;
}

.dibs--main--content p > * {
  display: inline;
  vertical-align: inherit;
}

.dibs--btn {
  font-weight: 700;
  font-size: 1.125em;
  background: var(--dibs-colors--accent);
  color: var(--dibs-font--aside-color);
  width: 90%;
  padding: 1.2em;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  letter-spacing: -0.01666em;
  box-shadow: var(--dibs-shadow--medium);
  margin: 2em auto 0 auto;
  cursor: pointer;
}

.dibs--btn[data-padding='small'] {
  padding: 0.8em;
  width: 100%;
}

.dibs--btn:not([disabled='disabled']):hover,
.dibs--btn[data-state='hover'] {
  background: var(--dibs-colors--accent--light);
}

.dibs--btn:not([disabled='disabled']):active,
.dibs--btn[data-state='active'] {
  background: var(--dibs-colors--accent);
  box-shadow: unset;
}

.dibs--btn[disabled='disabled'] {
  background: var(--dibs-colors--pink);
  cursor: not-allowed;
}

.dibs--btn--picto > * {
  height: 0.8em;
  margin-left: 0.5em;
}

.dibs-scrollbar {
  scrollbar-color: var(--dibs-colors--grey) var(--dibs-colors--grey--light);
  scrollbar-width: thin;
}

.dibs-scrollbar::-webkit-scrollbar {
  width: 5px;
  height: 5px;
  background-color: var(--dibs-colors--grey--light);
}
.dibs-scrollbar::-webkit-scrollbar-thumb {
  background: var(--dibs-colors--grey);
}

.dibs-img {
  max-width: 100%;
}

[data-full-width='true'].dibs-img {
  width: 100%;
}

[data-full-size='true'].dibs-img {
  width: fit-content;
  max-width: fit-content;
}

.bew--hidden {
  visibility: hidden;
}
